Bug 170383 - mod_ssl per-directory renegotiation with request body
Summary: mod_ssl per-directory renegotiation with request body
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: httpd (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard: RHEL4U3NAK
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-10-11 08:37 UTC by Joe Orton
Modified: 2018-06-18 15:47 UTC (History)
1 user (show)

Fixed In Version: RHSA-2006-0159
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-05 15:55:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0159 normal SHIPPED_LIVE Moderate: httpd security update 2006-01-05 05:00:00 UTC

Description Joe Orton 2005-10-11 08:37:14 UTC
+++ This bug was initially created as a clone of Bug #123585 +++

This is a clone of bug 123585 for RHEL4 -- mod_ssl cannot perform per-directory
renegotiation for a request including a request body.

Comment 2 Leif Nixon 2005-10-11 11:43:03 UTC
Any chance of getting the experimental packages in bug 123585 in an RHEL4
version as well? I'd like to try it out, but the sslreneg patch fails to apply
cleanly on the RHEL4 httpd sources.

Comment 3 Joe Orton 2005-10-11 14:48:54 UTC
Coming shortly, Leif.

Comment 5 Joe Orton 2005-10-12 13:27:34 UTC
Experimental test packages are now available which contain a patch to
correct this issue.  These packages are unsupported and have not gone
through the Red Hat QA process.

http://people.redhat.com/jorton/Nahant-httpd/

Any feedback from testing these packages is very welcome.


Comment 8 Leif Nixon 2005-12-05 17:15:58 UTC
These packages do indeed seem to solve our problems. Thanks, and sorry for the
late reply.

Comment 12 Red Hat Bugzilla 2006-01-05 15:55:06 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0159.html



Note You need to log in before you can comment on or make changes to this bug.